%{?drupal7_find_provides_and_requires}

%global module google_cse

Name:          drupal7-%{module}
Version:       2.4
Release:       1%{?dist}
Summary:       Free service that can be used to search a set of one or more sites.

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
Google Custom Search Engine (CSE) is a free service that can be used to
search a set of one or more sites.

After installing this module, simply configure the Drupal module to use
CSE by entering Google's unique ID for your CSE. Once you have granted
permission for one or more roles to search using Google CSE, users can
search the current Google CSE index from search/google or a search block.

This module requires that clean URLs be enabled (Google also uses "q" in
the query string).

The Google CSE uses Google's index of the site. Content changes are not
immediately reflected in the results the way they are with Drupal's
core search.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 2.4-1
- Initial package

